classification
Title: test_multiprocessing_forkserver: test_rapid_restart() leaked a dangling process on AMD64 FreeBSD 10-STABLE Non-Debug 3.x
Type: Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: davin, koobs, pablogsal, steve.dower, vstinner
Priority: normal Keywords:

Created on 2019-04-15 11:01 by vstinner, last changed 2020-02-07 10:51 by vstinner. This issue is now closed.

Messages (9)
msg340260 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-15 11:01
AMD64 FreeBSD 10-STABLE Non-Debug 3.x
https://buildbot.python.org/all/#/builders/167/builds/777

0:04:20 load avg: 4.05 [113/420/1] test_multiprocessing_forkserver failed (env changed) (3 min 43 sec)
...
test_listener_client (test.test_multiprocessing_forkserver.WithProcessesTestListenerClient) ... ok
test_lock (test.test_multiprocessing_forkserver.WithProcessesTestLock) ... ok
test_lock_context (test.test_multiprocessing_forkserver.WithProcessesTestLock) ... ok
test_rlock (test.test_multiprocessing_forkserver.WithProcessesTestLock) ... ok
test_enable_logging (test.test_multiprocessing_forkserver.WithProcessesTestLogging) ... ok
test_level (test.test_multiprocessing_forkserver.WithProcessesTestLogging) ... ok
test_rapid_restart (test.test_multiprocessing_forkserver.WithProcessesTestManagerRestart) ... ok
Warning -- Dangling processes: {<ForkServerProcess name='QueueManager-213' pid=82316 parent=81686 started>}
test_access (test.test_multiprocessing_forkserver.WithProcessesTestPicklingConnections) ... ok
test_pickling (test.test_multiprocessing_forkserver.WithProcessesTestPicklingConnections) ... ok
test_boundaries (test.test_multiprocessing_forkserver.WithProcessesTestPoll) ... ok
...
msg340262 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-15 11:03
Fixed issues:

* bpo-31069: test_multiprocessing_spawn and test_multiprocessing_forkserver leak dangling processes
* bpo-31234: Make support.threading_cleanup() stricter
msg340291 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-04-15 16:11
https://buildbot.python.org/all/#/builders/58/builds/2225

test_listener_client (test.test_multiprocessing_spawn.WithProcessesTestListenerClient) ... ok
test_lock (test.test_multiprocessing_spawn.WithProcessesTestLock) ... ok
test_lock_context (test.test_multiprocessing_spawn.WithProcessesTestLock) ... ok
test_rlock (test.test_multiprocessing_spawn.WithProcessesTestLock) ... ok
test_enable_logging (test.test_multiprocessing_spawn.WithProcessesTestLogging) ... ok
test_level (test.test_multiprocessing_spawn.WithProcessesTestLogging) ... ok
test_rapid_restart (test.test_multiprocessing_spawn.WithProcessesTestManagerRestart) ... ok
Warning -- Dangling processes: {<SpawnProcess name='QueueManager-205' pid=4032 parent=3548 started>}
test_access (test.test_multiprocessing_spawn.WithProcessesTestPicklingConnections) ... ok
test_pickling (test.test_multiprocessing_spawn.WithProcessesTestPicklingConnections) ... ok
msg341123 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2019-04-29 21:46
May be related to this failure:

https://buildbot.python.org/all/#/builders/58/builds/2292
msg353070 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-09-24 10:42
x86 Windows7 3.8:
https://buildbot.python.org/all/#/builders/210/builds/308

test_level (test.test_multiprocessing_spawn.WithProcessesTestLogging) ... ok
test_rapid_restart (test.test_multiprocessing_spawn.WithProcessesTestManagerRestart) ... ok
Warning -- Dangling processes: {<SpawnProcess name='QueueManager-205' pid=2520 parent=3028 started>}
test_access (test.test_multiprocessing_spawn.WithProcessesTestPicklingConnections) ... ok
msg353097 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2019-09-24 15:47
Hey Davin - could this be related to the new tests/restart support we added at the sprints?
msg353098 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-09-24 15:56
> Hey Davin - could this be related to the new tests/restart support we added at the sprints?

I saw this issue for the first time last April, so it's unlikely to be a recent regression.
msg353921 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-10-04 11:27
Warning on AMD64 Debian root 3.x:
https://buildbot.python.org/all/#/builders/27/builds/3853

test_enable_logging (test.test_multiprocessing_spawn.WithProcessesTestLogging) ... ok
test_level (test.test_multiprocessing_spawn.WithProcessesTestLogging) ... ok
test_rapid_restart (test.test_multiprocessing_spawn.WithProcessesTestManagerRestart) ... ok
Warning -- Dangling processes: {<SpawnProcess name='QueueManager-212' pid=2551 parent=31308 stopped exitcode=-SIGTERM>}
test_access (test.test_multiprocessing_spawn.WithProcessesTestPicklingConnections) ... ok
msg361571 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-02-07 10:51
I didn't see the failure recently, I close it.
History
Date User Action Args
2020-02-07 10:51:37vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg361571

stage: resolved
2019-10-04 11:27:18vstinnersetmessages: + msg353921
2019-09-24 15:56:28vstinnersetmessages: + msg353098
2019-09-24 15:47:10steve.dowersetnosy: + steve.dower, davin
messages: + msg353097
2019-09-24 10:42:20vstinnersetmessages: + msg353070
2019-04-29 21:46:22pablogsalsetnosy: + pablogsal
messages: + msg341123
2019-04-24 10:55:14koobssetnosy: + koobs
2019-04-15 16:11:58vstinnersetmessages: + msg340291
2019-04-15 11:03:35vstinnersetmessages: + msg340262
2019-04-15 11:01:40vstinnercreate